Contents

API reference

integrations

API reference descriptions are provided in English to preserve the exact published contract.

Read a contact's recent Shopify orders

GET /v1/accounts/{AC}/contacts/{CT}/shopify-orders

Required scope: `contacts:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · stringyes
CTpath · string (CT… SID)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Read the Shopify store connection

GET /v1/accounts/{AC}/integrations/shopify

Required scope: `accounts:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Disconnect Shopify

DELETE /v1/accounts/{AC}/integrations/shopify

Required scope: `accounts:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
Request body (1 fields)
Request body
NameTypeRequiredDescription
stepUpTokenstring (max 256 chars)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Complete Shopify authorization

POST /v1/accounts/{AC}/integrations/shopify/complete

Required scope: `accounts:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
Request body (1 fields)
Request body
NameTypeRequiredDescription
queryobjectyes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Start Shopify authorization

POST /v1/accounts/{AC}/integrations/shopify/connect

Required scope: `accounts:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
Request body (2 fields)
Request body
NameTypeRequiredDescription
shopstring (max 128 chars)yes
stepUpTokenstring (max 256 chars)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.